<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    <link rel="icon" href="img/logo.png">

    <meta name="format-detection" content="telephone=no">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">

    <!-- Настройки безопасности кордовы, здесь настраивается могут ли выполняться и нлайн скрипты, -->
    <!-- переходы по ссылке, удаленный доступ к библиотекам и АПИ и т.д. -->
    <meta http-equiv="Content-Security-Policy" content="default-src *; style-src 'self' 'unsafe-inline' https://unpkg.com/leaflet@1.7.1/dist;
        script-src 'self' 'unsafe-inline' 'unsafe-eval' *; img-src 'self' data: *;">

    <link rel="stylesheet" href="css/bootstrap.min.css">

    <script src="js/jquery341.js"></script>
    <script src="js/popper.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <script src="js/partsOrder.js"></script>

    <link rel="stylesheet" href="css/index.css">

    <link rel="stylesheet" href="css/leaflet.css"/>

    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
            integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
            crossorigin=""></script>

    <!-- Очень важная ссылка, иначе не будут работать плагины cordova.js -->
    <script type="text/javascript" src="cordova.js"></script>

    <script>
        document.addEventListener("DOMContentLoaded", function(event) {
            var includes = $('[data-include]');
            jQuery.each(includes, function(){
                var file = '' + $(this).data('include') + '.html';
                $(this).load(file);
            });
        });
    </script>

    <script type="text/javascript" src="js/stfMap.js"></script>

    <title>АСКУЭ «РЖД»</title>
</head>
<body>

<!-- Меню -->
<!-- ----------------------------------------------------------------------------------------------- -->
<div data-include="menuBar"></div>
<!-- Конец меню -->
<!-- ----------------------------------------------------------------------------------------------- -->

<!-- ----------------------------------------------------------------------------------------------- -->
<form id="myForm" style="margin-left: 10px; margin-right: 10px;">
    <h4>Заказ оборудования</h4>

    <div class="form-group" id="fg1">
        <label for="i1">Наименование</label>
        <div class="row">
            <div class="col">
                <input id="i1" class="form-control" type="text" name="i1" placeholder="" required>
                <div class="invalid-feedback">Обязательное поле!</div>
            </div>
        </div>
    </div>

    <div class="form-group" id="fg2">
        <label for="i2">Марка(модель)</label>
        <div class="row">
            <div class="col">
                <input id="i2" class="form-control" type="text" name="i1" placeholder="" required>
                <div class="invalid-feedback">Обязательное поле!</div>
            </div>
        </div>
    </div>

    <div class="form-group">
        <label for="i3">Тип оборудования</label>
        <div class="row">
            <div class="col">
                <select class="browser-default custom-select" id="i3" required>
                    <option selected="" value="null">Тип оборудования</option>
                    <option value="t1">Электроинструмент</option>
                    <option value="t2">Система сбора и анализа данных телеметрии</option>
                    <option value="t3">Системы учета</option>
                    <option value="t4">Датчики утечки токов</option>
                    <option value="t5">Контролькое оборудование</option>
                </select>
                <div class="invalid-feedback" id="invalidCarType">Обязательное поле!</div>
            </div>
        </div>
    </div>

    <div class="form-group" id="fg4">
        <label for="i4">Дата документа</label>
        <div class="row">
            <div class="col">
                <input type="date" class="form-control" placeholder="Дата документа" id="i4">
                <div class="invalid-feedback">Обязательное поле!</div>
            </div>
        </div>
    </div>

    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modalSend">Отправить заявку</button>

</form>
<!-- ----------------------------------------------------------------------------------------------- -->

<!-- ----------------------------------------------------------------------------------------------- -->
<div class="modal fade" id="modalSend">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Завершение работы</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                Отправить заявку на получение/закупку нового оборудования?
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-outline-success" data-dismiss="modal" onclick="sendOrder()">Да</button>
                <button type="button" class="btn btn-outline-danger" data-dismiss="modal">Нет</button>

            </div>

        </div>
    </div>
</div>
<!-- ----------------------------------------------------------------------------------------------- -->

</body>
</html>